<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author       pedro.garcia
@description  tabla donde se listan las maquinarias de un avalúo
@cu           CU-SA-AC-127


-->

<h:panelGrid
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:p="http://primefaces.org/ui"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    width="100%"
    id="detallesAvaluoPG">



    <p:dataTable
        id="maquinariasAvaluoDT"
        value="#{administracionDetallesAvaluo.maquinariasAvaluoList}"
        var="maquinaria"
        widgetVar="detallesAvaluoDTWV"
        rowKey="#{maquinaria.id}"
        paginator="true"
        rows="5"
        selection="#{administracionDetallesAvaluo.selectedMaquinariaAvaluo}"
        selectionMode="single"
        paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
        {NextPageLink} {LastPageLink}"
        rowsPerPageTemplate="5,10,15"
        paginatorPosition="bottom"
        emptyMessage="No se encontraron maquinarias del avalúo"
        >

        <f:facet name="header">
            Maquinarias asociadas al avalúo
        </f:facet>

        <p:column headerText="Descripción">
            <h:outputText value="#{maquinaria.descripcion}"/>
        </p:column>

        <p:column headerText="Especificación">
            <h:outputText value="#{maquinaria.especificacion}"/>
        </p:column>

        <p:column headerText="Cantidad">
            <h:outputText value="#{maquinaria.cantidad}"/>
        </p:column>

        <p:column headerText="Valor unidad">
            <h:outputText value="#{maquinaria.valorUnidad}">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

        <p:column headerText="Valor maquinaria">
            <h:outputText value="#{maquinaria.valorTotal}">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>


    </p:dataTable>

</h:panelGrid>
